=== debian/changelog ===
cantor (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:29:16 +0000

cantor (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:03:30 +0000

cantor (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:08:29 +0100

cantor (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:28:14 -0700

cantor (4:23.08.4-0ubuntu4) noble; urgency=medium

  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 02:59:12 -0700

cantor (4:23.08.4-0ubuntu3) noble; urgency=medium

  * Bump version. 

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 08 Feb 2024 01:46:47 -0700

cantor (4:23.08.4-0ubuntu2) noble; urgency=medium

  * Add apparmor profile to fix userns. Ref: LP: 2046844 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Feb 2024 11:36:48 -0700
