## cantor 24.12.0

=== debian/changelog ===
cantor (4:24.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:57:11 +0100

cantor (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:01:33 +0000

cantor (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:19 +0000

cantor (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Update apparmor profile for Qt6 QtWebEngineProcess path.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Nov 2024 21:15:57 +0000

cantor (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Update build depneds for Qt6 build.
  * Build with dh-sequence-kf6.
  * Update install files.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 23 Nov 2024 17:53:44 +0000

cantor (4:23.08.5-0ubuntu8) oracular; urgency=medium

  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 10 Jul 2024 11:39:52 -0700

cantor (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Rebuild against latest libqalculate

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jun 2024 07:59:35 -0400

cantor (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Allow everything for apparmor.

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 24 May 2024 05:55:14 -0700

cantor (4:23.08.5-0ubuntu5) oracular; urgency=medium

  * Set @{multiarch} rather than hard code path. (LP: #2064492)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 16 May 2024 05:20:21 -0700
