=== debian/control ===
--- 
+++ 
@@ -7,40 +7,41 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.13~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.49.0~),
+               dh-apparmor,
+               dh-sequence-kf6,
+               dh-sequence-pkgkde-symbolshelper,
+               extra-cmake-modules (>= 6.3.0~),
                gettext,
-               libanalitza-dev (>= 4:23.08.4~),
-               libglib2.0-dev,
-               libkf5archive-dev (>= 5.70.0~),
-               libkf5completion-dev (>= 5.70.0~),
-               libkf5config-dev (>= 5.70.0~),
-               libkf5coreaddons-dev (>= 5.70.0~),
-               libkf5crash-dev (>= 5.70.0~),
-               libkf5doctools-dev (>= 5.70.0~),
-               libkf5i18n-dev (>= 5.70.0~),
-               libkf5iconthemes-dev (>= 5.70.0~),
-               libkf5kio-dev (>= 5.70.0~),
-               libkf5newstuff-dev (>= 5.70.0~),
-               libkf5parts-dev (>= 5.70.0~),
-               libkf5pty-dev (>= 5.70.0~),
-               libkf5syntaxhighlighting-dev (>= 5.70.0~),
-               libkf5texteditor-dev (>= 5.70.0~),
-               libkf5textwidgets-dev (>= 5.70.0~),
-               libkf5xmlgui-dev (>= 5.70.0~),
-               liblapack3,
+               libanalitza-dev (>= 4:24.12.0~),
+               libkf6archive-dev (>= 6.3.0~),
+               libkf6completion-dev (>= 6.3.0~),
+               libkf6config-dev (>= 6.3.0~),
+               libkf6coreaddons-dev (>= 6.3.0~),
+               libkf6crash-dev (>= 6.3.0~),
+               libkf6doctools-dev (>= 6.3.0~),
+               libkf6i18n-dev (>= 6.3.0~),
+               libkf6iconthemes-dev (>= 6.3.0~),
+               libkf6kio-dev (>= 6.3.0~),
+               libkf6newstuff-dev (>= 6.3.0~),
+               libkf6parts-dev (>= 6.3.0~),
+               libkf6syntaxhighlighting-dev (>= 6.3.0~),
+               libkf6texteditor-dev (>= 6.3.0~),
+               libkf6textwidgets-dev (>= 6.3.0~),
+               libkf6xmlgui-dev (>= 6.3.0~),
                libluajit-5.1-dev [i386 amd64],
                libmarkdown2-dev,
-               libpoppler-qt5-dev (>= 0.62.0~),
-               libqalculate-dev (>= 3.8.0~),
-               libqt5svg5-dev (>= 5.8.0~),
-               libqt5xmlpatterns5-dev (>= 5.8.0~),
+               libpoppler-qt6-dev,
+               libqalculate-dev,
                libspectre-dev,
-               pkg-config,
-               pkg-kde-tools (>> 0.15.15),
+               libxml2-dev,
+               libxslt1-dev,
+               pkgconf,
                python3-dev,
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.8.0~),
-               qtwebengine5-dev (>= 5.8.0~),
+               qt6-5compat-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.5.0~),
+               qt6-svg-dev (>= 6.5.0~),
+               qt6-tools-dev (>= 6.5.0~),
+               qt6-webengine-dev (>= 6.5.0~),
                r-base-core,
                shared-mime-info (>= 1.3~),
 Standards-Version: 4.6.0
@@ -62,6 +63,7 @@
           cantor-backend-r,
           cantor-backend-sage,
           cantor-backend-scilab [amd64 arm64 ppc64el s390x],
+          apparmor
 Description: interface for mathematical applications
  Cantor is an application to allow you to you use your favorite mathematical
  applications from within an elegant worksheet interface. It provides dialogs
